=== libs/staffpad/wscript ===
#!/usr/bin/env python

# Version of this package (even if built as a child)
MAJOR = '0'
MINOR = '0'
MICRO = '0'
STAFFPAD_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
STAFFPAD_LIB_VERSION = '0.0.0'

I18N_PACKAGE = 'staffpad'

staffpad_sources = [
        'TimeAndPitch.cpp',
        'FourierTransform_pffft.cpp',
        'pffft/pffft.c'
]

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld.stlib(features = 'c cxx cxxstlib', source = staffpad_sources)
    obj.cflags          = [ bld.env['compiler_flags_dict']['pic'], '-O3', '-ffast-math' ]
    obj.cxxflags        = [ bld.env['compiler_flags_dict']['pic'], '-O3', '-ffast-math' ]
    obj.export_includes = ['.']
    obj.includes        = ['.', 'pffft']
    obj.name            = 'staffpad'
    obj.target          = 'staffpad'
    obj.vnum            = STAFFPAD_LIB_VERSION
    obj.defines         = [ 'PACKAGE="' + I18N_PACKAGE + '"' ]
