=== libs/vfork/wscript ===
#!/usr/bin/env python
import os
import sys

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    if bld.env['build_target'] == 'mingw' or bld.env['build_target'] == 'msvc':
        return

    obj = bld (features = 'c cprogram')
    obj.source = 'exec_wrapper.c'
    obj.target = 'ardour-exec-wrapper'
    obj.install_path = os.path.join(bld.env['LIBDIR'])
    obj.linkflags    = bld.env['compiler_flags_dict']['execstack']
    obj.defines = [
            '_POSIX_SOURCE',
            '_XOPEN_SOURCE=500',
    ]
