=== libs/backends/portaudio/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os
import sys
import platform as PLATFORM

I18N_PACKAGE = 'portaudio-backend'

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'portaudio-2.0', uselib_store='PORTAUDIO', atleast_version='19')
    conf.check(header_name='pa_asio.h', define_name='WITH_ASIO', mandatory=False)

def build_portaudio (bld, name, defines):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = [ 'portaudio_backend.cc',
                   'portaudio_io.cc',
                   'winmmemidi_io.cc',
                   'winmmemidi_input_device.cc',
                   'winmmemidi_output_device.cc',
                   'midi_util.cc',
                 ]
    obj.includes = ['.']
    obj.name     = name
    obj.target   = name
    obj.use      = 'libardour libpbd'
    obj.uselib   = 'PORTAUDIO GLIBMM XML'
    if bld.env['build_target'] == 'mingw' and sys.platform == "win32":
        obj.stlib = ['portaudio']
        obj.lib = ['ole32', 'setupapi', 'uuid', 'winmm', 'ksuser', 'jack64']
    obj.install_path  = os.path.join(bld.env['LIBDIR'], 'backends')
    obj.defines = ['PACKAGE="' + I18N_PACKAGE + '"',
                   'ARDOURBACKEND_DLL_EXPORTS',
                   'USE_MMCSS_THREAD_PRIORITIES'
                  ]
    obj.defines += defines

def build(bld):
    build_portaudio (bld, 'portaudio_callback_backend', ['BACKEND_NAME="PortAudio (default)"'])
