=== libs/surfaces/cc121/wscript ===
#!/usr/bin/env python
import os

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = '''
            cc121.cc
            gui.cc
            cc121_interface.cc
            operations.cc
    '''
    obj.defines      = [ 'PACKAGE="ardour_cc121"' ]
    obj.defines     += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.includes     = [ '.', './cc121']
    obj.name         = 'libardour_cc121'
    obj.target       = 'ardour_cc121'
    obj.uselib       = 'XML OSX GLIBMM GIOMM PANGOMM'
    obj.use          = 'libardour libardour_cp libgtkmm2ext libpbd libytkmm'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')
