=== debian/changelog ===
ardour (1:9.0.0~ufsg-0ubuntu1) resolute; urgency=medium

  * New upstream relese 9.0.0
  * Refreshed patchset
  * d/copyright:
    - Update for dates
    - Fix missing field
    - Fix missing license (GPL-2)
    - Remove superfluous files, sections, and patterns.
  * d/control:
    - B-D s/libjack-dev/libjack-jackd2-dev/ (hard requirement)
  * d/*.install: Change to Ardour9 directories
  * d/rules: Change to Ardour9 directories

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 07 Feb 2026 11:22:37 -0800

ardour (1:8.12.0+ds-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 21:38:52 +0100
