## ardour 9.0.0%2Bds

=== libs/surfaces/launch_control_xl/wscript ===
#!/usr/bin/env python
import os

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features='cxx cxxshlib')
    obj.source = '''
        launch_control_xl.cc
        controllers.cc
        interface.cc
        midi_byte_array.cc
        leds.cc
        gui.cc
    '''
    obj.defines = ['PACKAGE="ardour_launch_control_xl"']
    obj.defines += ['ARDOURSURFACE_DLL_EXPORTS']
    obj.defines += ['VERSIONSTRING="' + bld.env['VERSION'] + '"']
    obj.includes = ['.', './launch_control_xl']
    obj.name = 'libardour_launch_control_xl'
    obj.target = 'ardour_launch_control_xl'
    obj.uselib = 'SIGCPP XML OSX PANGOMM GLIBMM GIOMM'
    obj.use = 'libardour libardour_cp libpbd libevoral libcanvas libtemporal libytkmm'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')
