=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ardour
 Section: sound
-Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
@@ -50,8 +49,7 @@
  lv2-dev,
  python3,
  vamp-plugin-sdk,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://ardour.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/ardour.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ardour
