=== debian/rules ===
--- 
+++ 
@@ -128,7 +128,7 @@
 debian/waf/waflib/extras/%: tools/%
 	cp $< $@
 
-MANPAGES = ardour9-copy-mixer.1 \
+MANPAGES = \
 	ardour9-export.1 \
 	ardour9-new_empty_session.1 \
 	ardour9-new_session.1 \
